Author: barbier
Date: 2006-05-29 23:14:11 +0000 (Mon, 29 May 2006)
New Revision: 1577

Modified:
   glibc-package/branches/glibc-2.4/debian/debhelper.in/libc.postinst
Log:
Fix detection of 'include /etc/ld.so.conf.d/*.conf' in /etc/ld.so.conf


Modified: glibc-package/branches/glibc-2.4/debian/debhelper.in/libc.postinst
===================================================================
--- glibc-package/branches/glibc-2.4/debian/debhelper.in/libc.postinst  
2006-05-29 23:12:56 UTC (rev 1576)
+++ glibc-package/branches/glibc-2.4/debian/debhelper.in/libc.postinst  
2006-05-29 23:14:11 UTC (rev 1577)
@@ -151,8 +151,8 @@
     else
        touch /etc/ld.so.conf
     fi
-    if ! grep -q '^include /etc/ld.so.conf.d/*.conf$' /etc/ld.so.conf ; then
-       echo 'include /etc/ld.so.conf.d/*.conf' >> /etc/ld.so.conf
+    if ! grep -q '^include /etc/ld.so.conf.d/.*\.conf$' /etc/ld.so.conf ; then
+       echo 'include /etc/ld.so.conf.d/*.conf' >> /etc/ld.so.conf
     fi
 
     # Handle upgrades when libc-opt package has been installed.


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]

Reply via email to